#!/bin/sh
# menu.sh - user menu for the fli4l router
#
# Creation:    xx.xx.2003 cka
# Last Update: $Id: menu.sh 10643 2005-12-18 10:24:42Z arwin $
#
# ToDo: Einsetzen nach dem login (.profile)
#       Hilfe-Texte beenden
#       Hinzufuegen weiterer Menuepunkte (scripte)
#       - ping nach drinnen; broadcast,dhcp-ranges,Hosts
#       - cat portfw.sh
#       - cat syslog
#       - diverses aus /proc
#
#------------------------------------------------------------------------

# some default values
version="`cat /etc/version`"
MENU_VERSION="`echo '$Revision: 10643 $' | sed 's/^[^ ]* //; s/ .*$//'`"
MENU_DATE="`echo '$Date: 2005-12-18 11:24:42 +0100 (So, 18 Dez 2005) $' | sed 's/^[^ ]* //; s/ .*$//'`"
b=1

lang_de () 
{
    LANG_1="erstellt am $MENU_DATE"
    LANG_2="Aktive Sprache: $lang      Verfuegbare Sprachen: de, en, fr, nl"
    LANG_3="Geben Sie bitte Ihre Auswahl an:"
    LANG_4="Bitte druecken Sie die Eingabe-Taste"
    LANG_5="Ungueltige Eingabe! Bitte wiederholen!"
    LANG_6="Seite:"
    LANG_7=" +  Vorwaerts blaettern"
    LANG_8=" -  Rueckwaerts blaettern"
}

lang_en ()
{
    LANG_1="written on $MENU_DATE"
    LANG_2="Selected language: $lang      Available languages: de, en, fr, nl"
    LANG_3="Please make your choice now:"
    LANG_4="Please press ENTER"
    LANG_5="Invalid choice! Please retry!"
    LANG_6=" Page:"
    LANG_7=" +  Go to next page"
    LANG_8=" -  Go to previous page"
}

lang_fr ()
{
    LANG_1="enregistr le $MENU_DATE"
    LANG_2="Langue slectionne : $lang   Langues possibles: de, en, fr, nl"
    LANG_3="Veuillez faire votre choix maintenant:"
    LANG_4="Veuillez appuyer sur Entre"
    LANG_5="Choix invalide! Veuillez recommencer!"
    LANG_6=" Page:"
    LANG_7=" +  page suivante"
    LANG_8=" -  page prcdante"
}

lang_nl ()
{
    LANG_1="aangemaakt op $MENU_DATE"
    LANG_2="Huidige taal: $lang      Beschikbare talen: de, en, fr, nl"
    LANG_3="Maak nu Uw keuze:"
    LANG_4="Druk nu op Enter"
    LANG_5="Ongeldige keuze! Opnieuw a.u.b.!"
    LANG_6=" Pagina:"
    LANG_7=" +  Ga naar de volgende pagina"
    LANG_8=" -  Ga naar de vorige pagina"
}

# read the current-language file
lang="`cat /var/run/menu.lang`"
lang_"$lang"

while true
do
    clrhome
    echo -e " FLI4L $version - Menu $MENU_VERSION                              $LANG_1"
    echo "============================================================================="
    echo -e " $LANG_2      $LANG_6 $b"
    echo "-----------------------------------------------------------------------------"
    echo
    
    while read line
    do
        num="`echo $line | cut -f 1 -d :`"
        message="`echo $line | cut -f 2 -d :`"
        eval param_$num="`echo $line | cut -f 3 -d :`"
        echo " $num  $message"
    done < /var/run/menu."$lang"."$b"

    num=`expr $num + 1`
    while [ $num -lt 10 ]
    do
        eval param_$num=""
        num=`expr $num + 1`
    done

    echo
    if [ -f /var/run/menu."$lang".`expr $b + 1` ]
    then
        echo "$LANG_7"
    fi
    if [ -f /var/run/menu."$lang".`expr $b - 1` ]
    then
        echo "$LANG_8"
    fi

    echo
    echo "============================================================================="
    echo -n "  $LANG_3 "

    read input
    case $input
    in
        [1-9])
        # Damn! Why 2 backslashes?
        file=`eval echo "\\$param_$input"`
        if [ -f "$file" ]
        then
            clrhome
            . $file
            echo -e "\n"
        else
            clrhome
            echo -e "\n\n         $LANG_5\n\n"
        fi
        echo "  $LANG_4"
        read input
        ;;
        +)
        if [ -f /var/run/menu."$lang".`expr $b + 1` ]
        then
            b=`expr $b + 1`
        fi
        ;;
        -)
        if [ -f /var/run/menu."$lang".`expr $b - 1` ]
        then
            b=`expr $b - 1` 
        fi
        ;;
        *)
        clrhome
        echo -e "\n\n         $LANG_5\n\n"
        read input
        ;;
    esac
done
